import { useEffect, useState } from 'react';
import * as d3 from 'd3';
import { csv } from 'd3';
const csvUrl =
  'https://gist.githubusercontent.com/nitanagdeote/daf6d07b22dc711b9ecd30770c83dd1a/raw/208631aa9b1e864194733c63934d77973f80b8df/Crime-against-Women-(IPC+SLL)-2019-2021.csv'; // csv file url
//console.log(csvUrl)
/////////////////////////////////////////////////////////////////////////////
export const useData = () => {
  const [data, setdata] = useState(null);

  useEffect(() => {
    d3.csv(csvUrl).then((data) => {
      for (const d of data) {
        d[
          'Rate of Total Crime against Women (2021)'
        ] = +d[
          'Rate of Total Crime against Women (2021)'
        ];
      }
      // sort crime rate in descending order
      data.sort(function (a, b) {
        return (
          b[
            'Rate of Total Crime against Women (2021)'
          ] -
          a[
            'Rate of Total Crime against Women (2021)'
          ]
        );
      });
      setdata(data);
    });
    //console.log(data[0]);
  }, []);

//   if (!data) {
//     return <pre>Loading...</pre>;
//   } else {
//     console.log('data loaded');
//   }

  return data;
};

